/* mfaim
 * Copyright (c) 1999 Josh Myer <josh@joshisanerd.com>
 * console-mode AIM client
 *
 * mfaim is based on naim;
 *  naim is Copyright (c) 1998, 1999 Daniel Reed <n@ml.org>
 * 
 * mfaim also uess libfaim,
 *  FAIM is Copyright 1998 Adam Fritzler <afritz@iname.com>
 *  FAIM uses code Copyright 1998 Brock Wilcox <awwaiid@iname.com>
 */

#include <mfaim.h>
#include "help.h"

extern buddywin_t	*curbwin;

HelpType	help_findtopic(char *topic) {
	int	i = 0;

	while (h_texts[i].tag != NULL) {
		if (strcasecmp(h_texts[i].tag, topic) == 0)
			return(h_texts[i].help_text);
		i++;
	}
	return(NULL);
}

void	help_printhelp(char *topic) {
	HelpType	helptext;
	int	i = 0;

	if (topic == NULL)
		topic = "topics";
	if ((helptext = help_findtopic(topic)) == NULL) {
		hwprintf(curbwin->win, HELP_HELP, "No help available on <B>%s</B>.<br>", topic);
		return;
	}
	hwprintf(curbwin->win, HELP_HELP, "Help on <B>%s</B>:<br>", topic);
	while (helptext[i] != NULL) {
		hwprintf(curbwin->win, HELP_TEXT, "  %s<br>", helptext[i]);
		i++;
	}
}
